package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_GZJY") //工作经验
public class RsRlzyGzjyPO {
    @TableId(value = "rs_rlzy_gzjy_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_gzjy_lsh")
    private String rsrlzygzjylsh;//工作经验流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号
    private String gzdw;//工作单位
    private String szzw;//所在职位
    private String kssj;//开始时间
    private String jssj;//结束时间
    private String sshy;//所属行业
    private String dwlb;//单位类别
    private String jjlx;//经济类型
    private String rygm;//人员规模
    private String gzzz;//工作职责
    private String gzyj;//工作业绩
    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String dyblsh;//对应表流水号

    //用于导出简历
    @TableField(exist = false)
    private String sshyname;
    @TableField(exist = false)
    private String dwlbname;
    @TableField(exist = false)
    private String jjlxname;
    @TableField(exist = false)
    private String rygmname;

    public String getSshyname() {
        return sshyname;
    }

    public void setSshyname(String sshyname) {
        this.sshyname = sshyname;
    }

    public String getDwlbname() {
        return dwlbname;
    }

    public void setDwlbname(String dwlbname) {
        this.dwlbname = dwlbname;
    }

    public String getJjlxname() {
        return jjlxname;
    }

    public void setJjlxname(String jjlxname) {
        this.jjlxname = jjlxname;
    }

    public String getRygmname() {
        return rygmname;
    }

    public void setRygmname(String rygmname) {
        this.rygmname = rygmname;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getRsrlzygzjylsh() {
        return rsrlzygzjylsh;
    }

    public void setRsrlzygzjylsh(String rsrlzygzjylsh) {
        this.rsrlzygzjylsh = rsrlzygzjylsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getGzdw() {
        return gzdw;
    }

    public void setGzdw(String gzdw) {
        this.gzdw = gzdw;
    }

    public String getSzzw() {
        return szzw;
    }

    public void setSzzw(String szzw) {
        this.szzw = szzw;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getSshy() {
        return sshy;
    }

    public void setSshy(String sshy) {
        this.sshy = sshy;
    }

    public String getDwlb() {
        return dwlb;
    }

    public void setDwlb(String dwlb) {
        this.dwlb = dwlb;
    }

    public String getJjlx() {
        return jjlx;
    }

    public void setJjlx(String jjlx) {
        this.jjlx = jjlx;
    }

    public String getRygm() {
        return rygm;
    }

    public void setRygm(String rygm) {
        this.rygm = rygm;
    }

    public String getGzzz() {
        return gzzz;
    }

    public void setGzzz(String gzzz) {
        this.gzzz = gzzz;
    }

    public String getGzyj() {
        return gzyj;
    }

    public void setGzyj(String gzyj) {
        this.gzyj = gzyj;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


